
Ryzom - Bug # 910

Status: Closed Priority: Normal
Author: rti Category: Build
Created: 05/17/2010 Assignee: rti
Updated: 07/15/2010 Due date:
Subject: Ryzom Client - Not link librt on Mac OS X (Patch included)
Description

This is the same thing as already posted for NeL and NeLNS (#872, #873).

Do not link against -lrt on Mac OS X.

Related issues:
related to Ryzom - Bug # 956: CMake does not search or link libexpat Rejected 06/03/2010

History
#1 - 05/18/2010 10:25 am - vl
- Target version set to Version 0.8.0

#2 - 05/28/2010 04:44 pm - vl
- Status changed from New to Assigned
- Assignee set to sfb

#3 - 05/29/2010 06:31 pm - rti
- Assignee changed from sfb to rti

Same thing applies to the snowballs CMake script.

#4 - 05/29/2010 09:47 pm - rti
There are several other build problems with the Ryzom client on Mac OS X with the current CMake configuration:
    -  wwwconf.h is not found (if libwww was installed using macports, it resides in another directory)
    -  libzlib.dylib is not found (FindZLIB and entry in TARGET_LINK_LIBRARIES missing)
    -  libxml2.dylib is not found (missing entry in TARGET_LINK_LIBRARIES)
    -  nelnet, nelgeorges, nelligo, nel3d not found (missing entry in TARGET_LINK_LIBRARIES)
    -  not all necessary libwww libraries linked in on mac os (only libwwwapp)

Since this is quite trivial, I will not create a new issue for that :)

#5 - 05/29/2010 09:50 pm - rti
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r245.

#6 - 07/15/2010 04:17 pm - kervala
- Status changed from Resolved to Closed
